Main Page Widgets Namespaces Book

# printsettings.h File Reference

## Namespaces

namespace | Glib
namespace | Gtk

## Classes

class | Gtk::PrintSettings
class | Gtk::PrintSettings::PageRange

## Enumerations

enum | Gtk::PageSet { Gtk::PAGE_SET_ALL, Gtk::PAGE_SET_EVEN, Gtk::PAGE_SET_ODD }
enum | Gtk::PrintDuplex { Gtk::PRINT_DUPLEX_SIMPLEX, Gtk::PRINT_DUPLEX_HORIZONTAL, Gtk::PRINT_DUPLEX_VERTICAL }
enum | Gtk::PrintPages { Gtk::PRINT_PAGES_ALL, Gtk::PRINT_PAGES_CURRENT, Gtk::PRINT_PAGES_RANGES }
enum | Gtk::PrintQuality { Gtk::PRINT_QUALITY_LOW, Gtk::PRINT_QUALITY_NORMAL, Gtk::PRINT_QUALITY_HIGH, Gtk::PRINT_QUALITY_DRAFT }

## Variables

const Glib::ustring | Gtk::PRINT_SETTINGS_COLLATE = "collate"
const Glib::ustring | Gtk::PRINT_SETTINGS_DEFAULT_SOURCE = "default-source"
const Glib::ustring | Gtk::PRINT_SETTINGS_DITHER = "dither"
const Glib::ustring | Gtk::PRINT_SETTINGS_DUPLEX = "duplex"
const Glib::ustring | Gtk::PRINT_SETTINGS_FINISHINGS = "finishings"
const Glib::ustring | Gtk::PRINT_SETTINGS_MEDIA_TYPE = "media-type"
const Glib::ustring | Gtk::PRINT_SETTINGS_NUM_COPIES = "num-copies"
const Glib::ustring | Gtk::PRINT_SETTINGS_NUMBER_UP = "number-up"
const Glib::ustring | Gtk::PRINT_SETTINGS_ORIENTATION = "orientation"
const Glib::ustring | Gtk::PRINT_SETTINGS_OUTPUT_BIN = "output-bin"
const Glib::ustring | Gtk::PRINT_SETTINGS_PAGE_RANGES = "page-ranges"
const Glib::ustring | Gtk::PRINT_SETTINGS_PAGE_SET = "page-set"
const Glib::ustring | Gtk::PRINT_SETTINGS_PAPER_FORMAT = "paper-format"
const Glib::ustring | Gtk::PRINT_SETTINGS_PAPER_HEIGHT = "paper-height"
const Glib::ustring | Gtk::PRINT_SETTINGS_PAPER_WIDTH = "paper-width"
const Glib::ustring | Gtk::PRINT_SETTINGS_PRINT_PAGES = "print-pages"
const Glib::ustring | Gtk::PRINT_SETTINGS_PRINT_TO_FILE = "print-to-file"
const Glib::ustring | Gtk::PRINT_SETTINGS_PRINTER = "printer"
| Print settings keys.
const Glib::ustring | Gtk::PRINT_SETTINGS_QUALITY = "quality"
const Glib::ustring | Gtk::PRINT_SETTINGS_RESOLUTION = "resolution"
const Glib::ustring | Gtk::PRINT_SETTINGS_REVERSE = "reverse"
const Glib::ustring | Gtk::PRINT_SETTINGS_SCALE = "scale"
const Glib::ustring | Gtk::PRINT_SETTINGS_USE_COLOR = "use-color"
const Glib::ustring | Gtk::PRINT_SETTINGS_WIN32_DRIVER_EXTRA = "win32-driver-extra"
const Glib::ustring | Gtk::PRINT_SETTINGS_WIN32_DRIVER_VERSION = "win32-driver-version"